Bug 75228 - Under zh_CN locale, gvim has a huge row height
Summary: Under zh_CN locale, gvim has a huge row height
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-05 17:37 UTC by Xu Hao Qing
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-29 14:34:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Xu Hao Qing 2002-10-05 17:37:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
Under zh_CN.GB18030 locale, the blank between rows is too heigh. It's about as
heigh as a row.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Choose Simplified Chinese locale and login
2.Run gvim
3.
	

Expected Results:  The blank between rows should not be so high.

Additional info:

Comment 1 Xu Hao Qing 2002-10-13 03:32:49 UTC
It seems it's just a very large font.

:!locale
LANG=zh_CN.GB18030
LC_CTYPE="zh_CN.GB18030"
LC_NUMERIC="zh_CN.GB18030"
LC_TIME="zh_CN.GB18030"
LC_COLLATE="zh_CN.GB18030"
LC_MONETARY="zh_CN.GB18030"
LC_MESSAGES="zh_CN.GB18030"
LC_PAPER="zh_CN.GB18030"
LC_NAME="zh_CN.GB18030"
LC_ADDRESS="zh_CN.GB18030"
LC_TELEPHONE="zh_CN.GB18030"
LC_MEASUREMENT="zh_CN.GB18030"
LC_IDENTIFICATION="zh_CN.GB18030"
LC_ALL=

:verbos set guifont
  guifont=
:verbos set guifontset
 guifontset=*-r-*
        last setting: /usr/share/vim/vim61/macros/vimrc

It should not be *-r-*. In RedHat7.2, *-r-* happen to work. But this time it
doesn't . It should use a concret font name, like zh_CN.big5 one.

Comment 2 Karsten Hopp 2003-10-29 14:34:50 UTC
Try setting your LANG to zh_CN.utf8.   UTF8 works a lot better than
GB18030.


Note You need to log in before you can comment on or make changes to this bug.